package cn.qg.qaplatform.enums;

/**
 * 定义错误类别
 */
public enum ErrorType {
    SUCCESS(200L, "请求成功"),
    CLIENT_FAILED(400L, "传参有误"),
    SERVER_FAILED(500L, "系统异常");

    private final Long code;
    private final String message;

    ErrorType(Long code, String message) {
        this.code = code;
        this.message = message;
    }

    public Long getCode() {
        return this.code;
    }

    public String getMessage() {
        return this.message;
    }
}
